public class Teacher extends Person {
    private String office;
    public Teacher(String firstName, String lastName, String office) {
        // Call to super must be first statement in constructor
        super(firstName, lastName);
        this.office = office;
    }
    @Override
    public String toString() {
        return firstName + " " + getLastName() + " (Office: " + office + ")";
        // Podemos acceder a firstName porque es protected.
        // Tenemos que usar el getter de lastName porque es private.
    }
}
